/*
 * Client operating mode.
 * $Id: client.c 1.2 Mon, 24 Mar 1997 12:25:37 -0500 dyfet $
 * Copyright (c) 1997 by Tycho Softworks.
 * For conditions of distribution and reuse see product license.
 *
 * Abstract:
 *	The client mode of operation will connect to SPO256 server and
 *	redirect standard output to the server.  This allows the speak 
 *	(spo256) image to be used to terminate pipes.
 */

#include <std/process.h>
#include <other/string.h>
#include <std/files.h>
#include <other/config.h>
#include <net/socket.h>
#include <net/stream.h>
#include "speak.h"

void	client(char *hostname, ushort port)
{
	STREAM	fp = opentcp(hostname, port);
	char	buf[1024];

	if(!fp)
		fatal(EX_UNAVAILABLE, "spo256: %s: unkown host\n", hostname);

	gettcp(buf, sizeof(buf) - 1, fp);	/* get banner line */
	while(!feof(stdin))
	{
		fgets(buf, sizeof(buf) - 1, stdin);
		if(feof(stdin))
			break;

		puttcp(buf, fp);
	}
	closetcp(fp);
	exit(0);
}
